summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Streetman <ddstreet@canonical.com>2019-07-22 13:47:47 -0400
committerYu Watanabe <watanabe.yu+github@gmail.com>2019-08-26 12:46:39 +0900
commit65c5f3d074781e1ec7f2e73149622b9fc6610ae3 (patch)
treefe9ee015c2917f1c715472cb996d394fee80fc9c
parentadcc450f46047a057365658a5f3296b8eddfa8dd (diff)
downloadsystemd-65c5f3d074781e1ec7f2e73149622b9fc6610ae3.tar.gz
test/TEST-18-FAILUREACTION: fix typo to actually run firstphase action
The if test for running the firstphase of the test should be negated so the firstphase is actually executed.
-rwxr-xr-xtest/TEST-18-FAILUREACTION/testsuite.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/TEST-18-FAILUREACTION/testsuite.sh b/test/TEST-18-FAILUREACTION/testsuite.sh
index bf9c025766..6ab2638d8c 100755
--- a/test/TEST-18-FAILUREACTION/testsuite.sh
+++ b/test/TEST-18-FAILUREACTION/testsuite.sh
@@ -5,7 +5,7 @@ set -o pipefail
systemd-run --wait -p FailureAction=poweroff true
! systemd-run --wait -p SuccessAction=poweroff false
-if test -f /firstphase ; then
+if ! test -f /firstphase ; then
echo OK > /firstphase
systemd-run --wait -p SuccessAction=reboot true
else